--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Markaby is a module containing all of the great Markaby classes that do such an excellent job.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Markaby::Builder: the class for actually calling the Ruby methods which write the HTML."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Markaby::CSSProxy: a class which adds element classes and IDs to elements when used within Markaby::Builder."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Markaby::MetAid: metaprogramming helper methods."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Markaby::Tags: lists the roles of various XHTML tags to help Builder use these tags as they are intended."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Markaby::Template: a class for hooking Markaby into Rails as a proper templating language."
  type: :BULLET
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'0.5'"
- !ruby/object:RI::Constant 
  comment: 
  name: FORM_TAGS
  value: "[ :form, :input, :select, :textarea ]"
- !ruby/object:RI::Constant 
  comment: 
  name: SELF_CLOSING_TAGS
  value: "[ :base, :meta, :link, :hr, :br, :param, :img, :area, :input, :col ]"
- !ruby/object:RI::Constant 
  comment: 
  name: NO_PROXY
  value: "[ :hr, :br ]"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Common sets of attributes.
  name: AttrCore
  value: "[:id, :class, :style, :title]"
- !ruby/object:RI::Constant 
  comment: 
  name: AttrI18n
  value: "[:lang, 'xml:lang'.intern, :dir]"
- !ruby/object:RI::Constant 
  comment: 
  name: AttrEvents
  value: "[:onclick, :ondblclick, :onmousedown, :onmouseup, :onmouseover, :onmousemove,        :onmouseout, :onkeypress, :onkeydown, :onkeyup]"
- !ruby/object:RI::Constant 
  comment: 
  name: AttrFocus
  value: "[:accesskey, :tabindex, :onfocus, :onblur]"
- !ruby/object:RI::Constant 
  comment: 
  name: AttrHAlign
  value: "[:align, :char, :charoff]"
- !ruby/object:RI::Constant 
  comment: 
  name: AttrVAlign
  value: "[:valign]"
- !ruby/object:RI::Constant 
  comment: 
  name: Attrs
  value: AttrCore + AttrI18n + AttrEvents
full_name: Markaby
includes: []

instance_methods: []

name: Markaby
superclass: 
